\name{gui.file.choose}
\alias{gui.file.choose}
\title{cross-platform file selection interface}
\usage{
  gui.file.choose(startDir = getwd(),
    title = "Choose file(s)", multiple = FALSE,
    filter = NULL, graphics = TRUE)
}
\arguments{
  \item{startDir}{start directory (default current
  directory)}

  \item{title}{title for dialog}

  \item{filter}{a 2-column matrix with file description &
  filter in each column, with multiple filters for a single
  file type being separated by semicolons (doesn't work in
  text interface yet).}

  \item{multiple}{whether to allow selection of multiple
  items}

  \item{graphics}{whether to present a graphics interface
  (if possible)}
}
\value{
  the file(s) chosen (character vector). If \code{is.empty}
  is \code{TRUE}, the user selected 'Cancel'.
}
\description{
  This is a cross-platform function to allow the user to
  choose a file interactively. If \code{graphics=TRUE},
  \code{choose.files} is used on Windows (file dialog), and
  \code{tcltk::tk_choose.files} otherwise (& if supported),
  and an interactive text interface if all else fails.
}
\examples{
\dontrun{
# choose .R or .q files (or All files):
fList <- gui.file.choose(filter=matrix(c('R files','*.q;*.R',
                                         'All files','*.*'),
                                         ncol=2, byrow=T))
}
}
\seealso{
  Other ui: \code{\link{dir.browse}},
  \code{\link{file.browse}}, \code{\link{Filters}},
  \code{\link{gui.dir.choose}}, \code{\link{gui.menu}},
  \code{\link{gui.readline}}, \code{\link{gui.yesno}},
  \code{\link{tk_entry.dialog}},
  \code{\link{tk_select.list}}
}

